//
// Created by Mr.V on 2024/1/25.
//

#ifndef TRAIN_RFID_STRINGUTIL_H
#define TRAIN_RFID_STRINGUTIL_H

#include <string>
#include <vector>
#include <algorithm>

class StringUtil {

public:
    StringUtil();
    ~StringUtil();

    // 字符串分割函数
    static std::vector<std::string> split(std::string str, std::string pattern);
    // 替换string中所有指定字符串
    static std::string& replaceAllDistinct(std::string &str, const std::string &old_value, const std::string &new_value);
    // 去除字符串空格
    static void removeStrSpace(std::string &str);
};


#endif //TRAIN_RFID_STRINGUTIL_H
